gforth_0.7.3+dfsg-9_amd64.deb


Advertisement

Description

gforth - GNU Forth Language Environment

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename gforth_0.7.3+dfsg-9_amd64.deb
Package name gforth
Package version 0.7.3+dfsg
Package release 9
Package architecture amd64
Package type deb
Category devel::interpreter interface::commandline interpreters role::program scope::utility suite::gnu works-with::software:source
Homepage https://www.complang.tuwien.ac.at/projects/forth.html
License -
Maintainer Peter Pentchev <roam@debian.org>
Download size 124.59 KB
Installed size 691.00 KB
This is the GNU'ish implementation of a Forth programming environment.
Forth, as a language, is best known for being stack-based, and completely
extensible.  Each Forth environment provides one or more dictionaries of
pre-defined words, and programming in Forth consists of defining and
executing new words that are combinations of previously defined words.  It
has been said that learning Forth changes forever the way you think about
writing programs.
For more information about Forth, visit the Forth Interest Group web site
at http://www.forth.org/fig.html.

Alternatives

Package Version Architecture Repository
gforth_0.7.3+dfsg-9_i386.deb 0.7.3+dfsg i386 Debian Main
gforth - - -

Requires

Name Value
emacsen-common >= 2.0.7
gforth-common = 0.7.3+dfsg-9
gforth-lib = 0.7.3+dfsg-9
libc6 >= 2.15
libffi6 >= 3.0.4
libltdl7 >= 2.4.6

Download

Type URL
Mirror ftp.br.debian.org
Binary Package gforth_0.7.3+dfsg-9_amd64.deb
Source Package gforth

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gforth deb package:
    # sudo apt-get install gforth

Files

Path
/etc/emacs/site-start.d/50gforth.el
/usr/bin/gforth
/usr/bin/gforth-0.7.3
/usr/bin/gforth-fast
/usr/bin/gforth-fast-0.7.3
/usr/bin/gforth-itc
/usr/bin/gforth-itc-0.7.3
/usr/bin/gforthmi
/usr/bin/gforthmi-0.7.3
/usr/bin/vmgen
/usr/bin/vmgen-0.7.3
/usr/include/gforth/0.7.3/config.h
/usr/include/gforth/0.7.3/libcc.h
/usr/lib/emacsen-common/packages/compat/gforth
/usr/lib/emacsen-common/packages/install/gforth
/usr/lib/emacsen-common/packages/remove/gforth
/usr/lib/gforth/site-forth/site-init.fs
/usr/share/doc/gforth/NEWS.gz
/usr/share/doc/gforth/changelog.Debian.gz
/usr/share/doc/gforth/copyright
/usr/share/emacs/site-lisp/gforth/gforth.el
/usr/share/man/man1/gforth-0.7.3.1.gz
/usr/share/man/man1/gforth-fast-0.7.3.1.gz
/usr/share/man/man1/gforth-fast.1.gz
/usr/share/man/man1/gforth-itc-0.7.3.1.gz
/usr/share/man/man1/gforth-itc.1.gz
/usr/share/man/man1/gforth.1.gz
/usr/share/man/man1/gforthmi-0.7.3.1.gz
/usr/share/man/man1/gforthmi.1.gz
/usr/share/man/man1/vmgen-0.7.3.1.gz
/usr/share/man/man1/vmgen.1.gz

Changelog

2019-01-03 - Peter Pentchev <roam@debian.org>
gforth (0.7.3+dfsg-9) unstable; urgency=medium
* Only run `dh_missing --fail-missing` during a full package build
instead of letting the arch-all-only build fail because the gforth
package files are not being installed.
Closes: #917881, #918005
* Add the year 2019 to my debian/* copyright notice.
2018-12-26 - Peter Pentchev <roam@debian.org>
gforth (0.7.3+dfsg-8) unstable; urgency=medium
* Declare compliance with Debian Policy 4.3.0 with no changes.
* Bump the debhelper compatibility level to 12 with no changes and
run the dh-missing tool with the --fail-missing option.
* Move away from git-dpm.
2018-09-19 - Peter Pentchev <roam@debian.org>
gforth (0.7.3+dfsg-7) unstable; urgency=medium
* Bring up to compliance with Debian Policy 4.2.1: install the upstream
release notes (NEWS) as NEWS and not changelog; do not install
the detailed upstream changelog at all.
* Drop the Lintian overrides related to B-D: debhelper-compat -
Lintian 2.5.98 no longer emits these warnings and errors.
* Add Lintian overrides for the README files in the GForth library.
* Install the gforth package files into the correct build directory in
the override_dh_install target, thus fixing a long-standing bug
exposed by a recent change in debhelper.  Closes: #909168
2018-05-18 - Peter Pentchev <roam@debian.org>
gforth (0.7.3+dfsg-6) unstable; urgency=medium
* Use my Debian e-mail address.
* Use the "repack" syntax in the watch file.
* Declare compliance with Debian Policy 4.1.4 with no changes.
* Drop the empty lines at the end of the Debian changelog file.
* Add a trivial autopkgtest running adequate on the installed package.
* Use the B-D: debhelper-compat (= 11) mechanism.
2018-01-15 - Peter Pentchev <roam@ringlet.net>
gforth (0.7.3+dfsg-5) unstable; urgency=medium
* Add the 15-hppa patch to fix the build on hppa/parisc.
Closes: #850835; thanks, Helge Deller!
* Add the 16-double-const patch to fix a harmless GCC 7 warning.
* Declare compliance with Debian Policy 4.1.3 and drop the implied
"Testsuite: autopkgtest" source control field.
* Drop the trailing whitespace from some old changelog entries and
the package description.
* Bump the year on my debian/* copyright notice.
* Drop Breaks/Replaces for an ancient gforth version.
* Switch to git-dpm for patch management and rename the patches.
* Add "Rules-Requires-Root: no" to the source control stanza.
* Bump the debhelper compatibility level to 11 with no changes.
2017-01-09 - Peter Pentchev <roam@ringlet.net>
gforth (0.7.3+dfsg-4) unstable; urgency=medium
* Fix the formatting of the 02-skip-install patch's DEP-3 header.
* Use the HTTPS scheme for the copyright format specification URL.
* Use single quotes around a variable that is expanded by make, not
by the shell, in the rules file.
* Build-depend on debhelper 10 now that it's even in jessie-backports.
* Switch the watch file back to pgpsigurlmangle, since pgpmode=auto may
silently ignore a missing upstream signature.
* Use the v4 substitution variables in the watch file.
* Add the 14-typos patch to correct some errors.
* Bump the year on my debian/* copyright notice.
2016-04-13 - Peter Pentchev <roam@ringlet.net>
gforth (0.7.3+dfsg-3) unstable; urgency=medium
* Actually install the gforth.el file!  Closes: #820870
2016-04-12 - Peter Pentchev <roam@ringlet.net>
gforth (0.7.3+dfsg-2) unstable; urgency=medium
* Fix the arch-all-only FTBFS - no libtool files in gforth-common.
Closes: #820787
* Update the watch file to version 4 and use pgpmode=auto to let uscan
find the *.sig URL by itself.

See Also

Package Description
gfortran-7-multilib_7.4.0-6_amd64.deb GNU Fortran compiler (multilib support)
gfortran-7_7.4.0-6_amd64.deb GNU Fortran compiler
gfortran-8-aarch64-linux-gnu_8.3.0-2cross1_amd64.deb GNU Fortran compiler
gfortran-8-alpha-linux-gnu_8.3.0-2cross2_amd64.deb GNU Fortran compiler
gfortran-8-arm-linux-gnueabi_8.3.0-2cross1_amd64.deb GNU Fortran compiler
gfortran-8-arm-linux-gnueabihf_8.3.0-2cross1_amd64.deb GNU Fortran compiler
gfortran-8-hppa-linux-gnu_8.3.0-2cross2_amd64.deb GNU Fortran compiler
gfortran-8-i686-linux-gnu_8.3.0-2cross1_amd64.deb GNU Fortran compiler
gfortran-8-m68k-linux-gnu_8.3.0-2cross2_amd64.deb GNU Fortran compiler
gfortran-8-mips-linux-gnu_8.3.0-2cross1_amd64.deb GNU Fortran compiler
gfortran-8-mips64-linux-gnuabi64_8.3.0-2cross2_amd64.deb GNU Fortran compiler
gfortran-8-mips64el-linux-gnuabi64_8.3.0-2cross1_amd64.deb GNU Fortran compiler
gfortran-8-mipsel-linux-gnu_8.3.0-2cross1_amd64.deb GNU Fortran compiler
gfortran-8-mipsisa32r6-linux-gnu_8.3.0-2cross2_amd64.deb GNU Fortran compiler
gfortran-8-mipsisa32r6el-linux-gnu_8.3.0-2cross2_amd64.deb GNU Fortran compiler
Advertisement
Advertisement